## prompt-toolkit 3.0.36

=== docs/requirements.txt ===
Sphinx==4.1.2
wcwidth==0.2.5
pyperclip==1.8.2
sphinx_rtd_theme==0.5.2

## prompt-toolkit 0.57

=== debian/changelog ===
prompt-toolkit (0.57-1) unstable; urgency=medium

  * New upstream release
  * Add backward compatibility stubs for renamed functions in
    shortcuts.py

 -- Scott Kitterman <scott@kitterman.com>  Sun, 10 Jan 2016 04:17:11 -0500

prompt-toolkit (0.53-1) unstable; urgency=low

  [ Lennart Weller ]
  * New upstream release

  [ SVN-Git Migration ]
  * Added git-dpm
  * Update Vcs fields for git migration

 -- Lennart Weller <lhw@ring0.de>  Sun, 11 Oct 2015 01:20:56 -0400

prompt-toolkit (0.52-1) unstable; urgency=low

  [ Lennart Weller ]
  * New upstream release
  * Remove Files-Excluded: prompt_toolkit/libs since it was dropped upstream
  * Drop dversionmangle from debian/rules since a dfsg tarball is no longer
    needed

  [ Scott Kitterman ]
  * Add python-pygments/python3-pygments, python-six/python3-six and python-
    wcwidth/python3-wcidth to build-depends so tests can run in a clean build
    environment
  * Remove explicit module depends and let dh-python generate them

 -- Scott Kitterman <scott@kitterman.com>  Mon, 28 Sep 2015 12:50:55 -0400

prompt-toolkit (0.50+dfsg-1) unstable; urgency=medium

  [ Lennart Weller ]
  * Initial release (Closes: #794570)

  [ Scott Kitterman ]
  * Update debian/copyright to use Files-Excluded to remove unused code copy
    that contains sourceless generated files (See #798569 for details)
  * Update debian/watch for dfsg mangled Debian version

 -- Scott Kitterman <scott@kitterman.com>  Thu, 10 Sep 2015 11:13:47 -0400

=== debian/control ===
Source: prompt-toolkit
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Lennart Weller <lhw@ring0.de>, Scott Kitterman <scott@kitterman.com>
Section: python
Vcs-Git: git://anonscm.debian.org/python-modules/packages/prompt-toolkit.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/prompt-toolkit.git
Priority: optional
Homepage: https://github.com/jonathanslenders/python-prompt-toolkit
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3),
               python-pygments,
               python-setuptools (>= 0.6b3),
               python-six (>=1.9.0),
               python-wcwidth,
               python3-all,
               python3-pygments,
               python3-setuptools,
               python3-six (>=1.9.0),
               python3-wcwidth
Standards-Version: 3.9.6

Package: python-prompt-toolkit
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: library for building interactive command lines (Python 2)
 prompt_toolkit is a GNU readline replacement written in pure Python supporting
 advanced features like syntax highlighting, multi line editing and code
 completion.
 .
 This package installs the library for Python 2.

Package: python3-prompt-toolkit
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: library for building interactive command lines (Python 3)
 prompt_toolkit is a GNU readline replacement written in pure Python supporting
 advanced features like syntax highlighting, multi line editing and code
 completion.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=prompt-toolkit
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
http://pypi.debian.net/prompt_toolkit/prompt_toolkit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## prompt-toolkit 1.0.3

=== debian/changelog ===
prompt-toolkit (1.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 24 Jun 2016 07:56:13 -0400

prompt-toolkit (1.0.2-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sat, 18 Jun 2016 18:46:46 -0400

prompt-toolkit (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to without further change
  * Drop python/python3-pygments from build-depends as they are no longer
    required to build
  * Add python/python3-pygments as recommends since they are optionally used
    at runtime

 -- Scott Kitterman <scott@kitterman.com>  Mon, 23 May 2016 16:47:58 -0400

prompt-toolkit (0.60-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Scott Kitterman ]
  * New upstream release
  * Bump standards version to 3.9.7

 -- Scott Kitterman <scott@kitterman.com>  Sat, 02 Apr 2016 22:03:22 -0400

## prompt-toolkit 1.0.9

=== debian/changelog ===
prompt-toolkit (1.0.9-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Sun, 05 Mar 2017 22:28:45 +0100

prompt-toolkit (1.0.9-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Thu, 10 Nov 2016 20:51:06 -0500

prompt-toolkit (1.0.8-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sun, 30 Oct 2016 09:09:23 -0400

prompt-toolkit (1.0.7-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 Sep 2016 00:32:11 -0400

=== debian/control ===
Source: prompt-toolkit
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Lennart Weller <lhw@ring0.de>, Scott Kitterman <scott@kitterman.com>
Section: python
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/prompt-toolkit.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/prompt-toolkit.git
Priority: optional
Homepage: https://github.com/jonathanslenders/python-prompt-toolkit
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3),
               python-setuptools (>= 0.6b3),
               python-six (>=1.9.0),
               python-wcwidth,
               python3-all,
               python3-setuptools,
               python3-six (>=1.9.0),
               python3-wcwidth
Standards-Version: 3.9.8

Package: python-prompt-toolkit
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-pygments
Description: library for building interactive command lines (Python 2)
 prompt_toolkit is a GNU readline replacement written in pure Python supporting
 advanced features like syntax highlighting, multi line editing and code
 completion.
 .
 This package installs the library for Python 2.

Package: python3-prompt-toolkit
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-pygments
Description: library for building interactive command lines (Python 3)
 prompt_toolkit is a GNU readline replacement written in pure Python supporting
 advanced features like syntax highlighting, multi line editing and code
 completion.
 .
 This package installs the library for Python 3.

## prompt-toolkit 1.0.14

=== debian/changelog ===
prompt-toolkit (1.0.14-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Sun, 18 Jun 2017 01:04:10 -0400

## prompt-toolkit 1.0.15

=== debian/changelog ===
prompt-toolkit (1.0.15-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.1.3 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 08 Jan 2018 16:43:40 -0500

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-setuptools,
                python3-six (>=1.9.0),
                python3-wcwidth
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 
 Package: python-prompt-toolkit
 Architecture: all

## prompt-toolkit 2.0.10

=== debian/changelog ===
prompt-toolkit (2.0.10-2) unstable; urgency=medium

  * Add versioned Breaks against: aws-shell, mycli, pgcli, python3-ipython,
    python3-jupyter-console, python3-softlayer for versions requiring PTK 1.x
  * Add myself to uploaders
  * Complete prompt-toolkit 1 -> 2 transition (Closes: #944227)

 -- Gordon Ball <gordon@chronitis.net>  Mon, 06 Jan 2020 13:53:05 +0000

prompt-toolkit (2.0.10-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Bump Standards-Version to 4.4.1.

  [ Lennart Weller ]
  * New upstream release (Closes: #914698)
  * New debian Standards-Version 4.3.0

  [ Scott Kitterman ]
  * Remove myself from uploaders

  [ Gordon Ball ]
  * New upstream version 2.0.10
  * Drop python2 support (Closes: #937326)
  * Update homepage to github.com/prompt-toolkit/python-prompt-toolkit
  * Update debhelper compat level to 12; drop d/compat
  * Set Rules-Requires-Root: no
  * Set Testsuite: autopkgtest-pkg-python

 -- Gordon Ball <gordon@chronitis.net>  Fri, 01 Nov 2019 21:19:54 +0000

=== debian/control ===
Source: prompt-toolkit
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Lennart Weller <lhw@ring0.de>, Gordon Ball <gordon@chronitis.net>
Section: python
Vcs-Git: https://salsa.debian.org/python-team/modules/prompt-toolkit.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/prompt-toolkit
Priority: optional
Homepage: https://github.com/prompt-toolkit/python-prompt-toolkit
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-six (>=1.9.0),
               python3-wcwidth
Standards-Version: 4.4.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-prompt-toolkit
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Breaks: aws-shell (<= 0.2.1-1~),
        mycli (<< 1.19~),
        pgcli (<< 2~),
        python3-ipython (<< 7~),
        python3-jupyter-console (<< 6~),
        python3-softlayer (<< 5.8~)
Recommends: python3-pygments
Description: library for building interactive command lines (Python 3)
 prompt_toolkit is a GNU readline replacement written in pure Python supporting
 advanced features like syntax highlighting, multi line editing and code
 completion.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=3
https://pypi.debian.net/prompt_toolkit/prompt_toolkit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## prompt-toolkit 3.0.6

=== debian/changelog ===
prompt-toolkit (3.0.6-1) unstable; urgency=medium

  * New upstream version 3.0.6

 -- Gordon Ball <gordon@chronitis.net>  Mon, 10 Aug 2020 18:54:34 +0000

prompt-toolkit (3.0.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Gordon Ball <gordon@chronitis.net>  Mon, 04 May 2020 15:54:35 +0000

prompt-toolkit (3.0.5-1) experimental; urgency=medium

  [ Gordon Ball ]
  * Correct URL to match in watchfile
  * d/control: add (test) dependencies on asyncssh, pytest
  * d/control: update Standards-Version to 4.5.0
  * d/control: drop dependency on six
  * Run the test-suite as an autopkgtest
  * New upstream version 3.0.5

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Gordon Ball <gordon@chronitis.net>  Fri, 03 Apr 2020 07:12:44 +0000

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
+               python3-asyncssh,
+               python3-pytest,
                python3-setuptools,
-               python3-six (>=1.9.0),
-               python3-wcwidth
-Standards-Version: 4.4.1
+               python3-wcwidth,
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python

=== debian/watch ===
version=3
https://pypi.debian.net/prompt-toolkit/prompt_toolkit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## prompt-toolkit 3.0.14

=== debian/changelog ===
prompt-toolkit (3.0.14-1) unstable; urgency=medium

  * New upstream version 3.0.14
  * d/watch: use github as upstream
  * d/control: debhelper compat 13, mark test dependencies nocheck

 -- Gordon Ball <gordon@chronitis.net>  Tue, 26 Jan 2021 18:47:10 +0000

prompt-toolkit (3.0.10-1) unstable; urgency=medium

  * New upstream version 3.0.10

 -- Gordon Ball <gordon@chronitis.net>  Sun, 10 Jan 2021 17:34:55 +0000

prompt-toolkit (3.0.9-1) unstable; urgency=medium

  * New upstream version 3.0.9

 -- Gordon Ball <gordon@chronitis.net>  Tue, 05 Jan 2021 19:20:22 +0000

prompt-toolkit (3.0.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Gordon Ball ]
  * New upstream version 3.0.8 (Closes: #970588)

 -- Gordon Ball <gordon@chronitis.net>  Wed, 14 Oct 2020 19:38:58 +0000

prompt-toolkit (3.0.7-1) unstable; urgency=medium

  * New upstream version 3.0.7

 -- Gordon Ball <gordon@chronitis.net>  Mon, 31 Aug 2020 15:15:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: prompt-toolkit
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Lennart Weller <lhw@ring0.de>, Gordon Ball <gordon@chronitis.net>
 Section: python
-Vcs-Git: https://salsa.debian.org/python-team/modules/prompt-toolkit.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/prompt-toolkit
+Vcs-Git: https://salsa.debian.org/python-team/packages/prompt-toolkit.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/prompt-toolkit
 Priority: optional
 Homepage: https://github.com/prompt-toolkit/python-prompt-toolkit
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-asyncssh,
-               python3-pytest,
+               python3-asyncssh <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-setuptools,
                python3-wcwidth,
 Standards-Version: 4.5.0

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=prompt-toolkit
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: env HOME=$AUTOPKGTEST_TMP pytest-3 tests
Depends: @, python3-pytest

=== debian/watch ===
version=4
https://github.com/prompt-toolkit/python-prompt-toolkit/tags .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## prompt-toolkit 3.0.19

=== debian/changelog ===
prompt-toolkit (3.0.19-1) unstable; urgency=medium

  * d/watch: new github tarball URL
  * New upstream version 3.0.19 (Closes: #991199)
  * d/control: add Daniel Baumann to uploaders

 -- Gordon Ball <gordon@chronitis.net>  Tue, 03 Aug 2021 18:54:05 +0000

prompt-toolkit (3.0.16-1) unstable; urgency=medium

  * New upstream release (Closes: #983556, #968600).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 05 Mar 2021 19:15:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: prompt-toolkit
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Lennart Weller <lhw@ring0.de>, Gordon Ball <gordon@chronitis.net>
+Uploaders: Lennart Weller <lhw@ring0.de>,
+           Gordon Ball <gordon@chronitis.net>,
+           Daniel Baumann <daniel.baumann@progress-linux.org>,
 Section: python
 Vcs-Git: https://salsa.debian.org/python-team/packages/prompt-toolkit.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/prompt-toolkit

## prompt-toolkit 3.0.22

=== debian/changelog ===
prompt-toolkit (3.0.22-1) unstable; urgency=medium

  * New upstream version 3.0.22
  * Standards-Version: 4.6.0
  * Improve autopkgtest: ensure packaged code is used, test all supported
    python3 versions

 -- Gordon Ball <gordon@chronitis.net>  Sat, 06 Nov 2021 11:22:26 +0000

prompt-toolkit (3.0.20-1) unstable; urgency=medium

  * New upstream version 3.0.20

 -- Gordon Ball <gordon@chronitis.net>  Sat, 21 Aug 2021 19:17:02 +0000

## prompt-toolkit 3.0.28

=== debian/changelog ===
prompt-toolkit (3.0.28-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.28.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 19 Feb 2022 09:04:22 +0100

prompt-toolkit (3.0.27-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.27.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 09 Feb 2022 14:48:29 +0100

prompt-toolkit (3.0.26-1) unstable; urgency=medium

  * New upstream version 3.0.26

 -- Gordon Ball <gordon@chronitis.net>  Fri, 28 Jan 2022 10:58:19 +0000

prompt-toolkit (3.0.24-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.24.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 12 Dec 2021 07:30:18 +0100

prompt-toolkit (3.0.23-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.23.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Dec 2021 05:04:43 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-wcwidth,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python

=== debian/tests/control ===
Tests: pt
Depends: @, python3-all, python3-pytest

=== debian/watch ===
version=4
https://github.com/prompt-toolkit/python-prompt-toolkit/tags .*/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@

## prompt-toolkit 3.0.30

=== debian/changelog ===
prompt-toolkit (3.0.30-1) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.1.
  * Merging upstream version 3.0.30.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Jul 2022 09:53:35 +0200

prompt-toolkit (3.0.29-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.29.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 10 Apr 2022 16:40:26 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-wcwidth,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python

## prompt-toolkit 3.0.36

=== debian/changelog ===
prompt-toolkit (3.0.36-2) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.2.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 30 Jan 2023 17:56:19 +0100

prompt-toolkit (3.0.36-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.36.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 12 Dec 2022 16:30:26 +0100

prompt-toolkit (3.0.33-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.33.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 23 Nov 2022 09:04:21 +0100

prompt-toolkit (3.0.32-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.32.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 06 Nov 2022 18:58:11 +0100

prompt-toolkit (3.0.31-1) sid; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Daniel Baumann ]
  * Uploading to sid.
  * Merging upstream version 3.0.31.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 07 Sep 2022 11:35:43 +0200

=== debian/control ===
--- 
+++ 
@@ -15,15 +15,14 @@
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-wcwidth,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-prompt-toolkit
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Breaks: aws-shell (<= 0.2.1-1~),
-        mycli (<< 1.19~),
+Breaks: mycli (<< 1.19~),
         pgcli (<< 2~),
         python3-ipython (<< 7~),
         python3-jupyter-console (<< 6~),

## prompt-toolkit 3.0.39

=== docs/requirements.txt ===
Sphinx<7
wcwidth<1
pyperclip<2
sphinx_rtd_theme<2

=== debian/changelog ===
prompt-toolkit (3.0.39-2) sid; urgency=medium

  * Uploading to sid.
  * Manually removing some files that pybuild doesn't clean up during
    build (Closes: #1048365).
  * Harmonizing wrt/ whitespaces and variable quoting.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 14 Aug 2023 12:05:53 +0200

prompt-toolkit (3.0.39-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.39.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 05 Jul 2023 07:34:23 +0200

prompt-toolkit (3.0.38-2) sid; urgency=medium

  * Uploading to sid.
  * Uploading without changes after bookworm release.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 11 Jun 2023 14:40:55 +0200

prompt-toolkit (3.0.38-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 3.0.38.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 03 Mar 2023 07:46:10 +0100

prompt-toolkit (3.0.37-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 3.0.37.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 27 Feb 2023 11:36:42 +0100

## prompt-toolkit 3.0.43

=== docs/requirements.txt ===
Sphinx<7
wcwidth<1
pyperclip<2
sphinx_copybutton>=0.5.0,<1.0.0
sphinx-nefertiti>=0.2.1

=== debian/changelog ===
prompt-toolkit (3.0.43-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.43.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 17 Dec 2023 11:41:47 +0100

prompt-toolkit (3.0.41-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.41.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 07 Dec 2023 08:56:20 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=prompt-toolkit

%:
	dh ${@} --with python3 --buildsystem=pybuild

execute_after_dh_auto_clean:
	# help pybuild
	rm -rf src/*.egg-info

## prompt-toolkit 3.0.47

=== debian/changelog ===
prompt-toolkit (3.0.47-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.47.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 17 Jun 2024 10:13:14 +0200

prompt-toolkit (3.0.46-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.46.
  * Updating year in copyright for 2024.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 05 Jun 2024 06:43:11 +0200

prompt-toolkit (3.0.43-2) sid; urgency=medium

  * Uploading to sid.
  * Running 'wrap-and-sort -bast' for git friendlier formating of debian
    packaging files.
  * Updating to standards-version 4.7.0.
  * Removing pre-oldstable breaks.
  * Updating formating of copyright file.
  * Updating years for upstream in copyright.
  * Adding myself in copyright.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 30 Apr 2024 19:39:33 +0200

=== debian/tests/control ===
Tests: pt
Depends:
 python3-all,
 python3-pytest,
 @,

## prompt-toolkit 3.0.48

=== debian/changelog ===
prompt-toolkit (3.0.48-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.48.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 30 Sep 2024 06:52:16 +0200

## prompt-toolkit 3.0.50

=== debian/changelog ===
prompt-toolkit (3.0.50-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.50.
  * Updating years in copyright for 2025.
  * Wrap-and-sorting debian directory.

 -- Daniel Baumann <daniel@debian.org>  Fri, 24 Jan 2025 05:53:20 +0100

=== debian/control ===
Source: prompt-toolkit
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Lennart Weller <lhw@ring0.de>,
 Gordon Ball <gordon@chronitis.net>,
 Daniel Baumann <daniel.baumann@progress-linux.org>,
Section: python
Vcs-Git: https://salsa.debian.org/python-team/packages/prompt-toolkit.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/prompt-toolkit
Priority: optional
Homepage: https://github.com/prompt-toolkit/python-prompt-toolkit
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-asyncssh <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-wcwidth,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-prompt-toolkit
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-pygments,
Description: library for building interactive command lines (Python 3)
 prompt_toolkit is a GNU readline replacement written in pure Python supporting
 advanced features like syntax highlighting, multi line editing and code
 completion.
 .
 This package installs the library for Python 3.

## prompt-toolkit 3.0.51

=== docs/requirements.txt ===
Sphinx>=8,<9
wcwidth<1
pyperclip<2
sphinx_copybutton>=0.5.2,<1.0.0
sphinx-nefertiti>=0.6.0

=== debian/changelog ===
prompt-toolkit (3.0.51-2) sid; urgency=medium

  * Workarounding internal version lookup by manually writing version
    until there's a better fix upstream (Closes: #1103768).

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 Apr 2025 06:08:29 +0200

prompt-toolkit (3.0.51-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.0.51.
  * Updating build-depends for PEP517.

 -- Daniel Baumann <daniel@debian.org>  Sun, 20 Apr 2025 08:57:53 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-asyncssh <!nocheck>,
  python3-pytest <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=prompt-toolkit

VERSION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | rev | cut -d- -f2- | rev)

%:
	dh ${@} --with python3 --buildsystem=pybuild

execute_after_dh_auto_clean:
	# help pybuild
	rm -rf src/*.egg-info

execute_after_dh_auto_install:
	# fix internal version lookup
	sed -i -e "s|\(__version__\) = .*|\1 = '$(VERSION)'|" debian/python3-prompt-toolkit/usr/lib/python3*/dist-packages/prompt_toolkit/__init__.py

=== debian/tests/control ===
Tests:
 pt,
Depends:
 python3-all,
 python3-pytest,
 @,

## prompt-toolkit 3.0.52

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/prompt_toolkit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/prompt_toolkit.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/prompt_toolkit"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/prompt_toolkit"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
Sphinx>=8,<9
wcwidth<1
pyperclip<2
sphinx_copybutton>=0.5.2,<1.0.0
sphinx-nefertiti>=0.8.6

=== debian/changelog ===
prompt-toolkit (3.0.52-1) sid; urgency=medium

  * Merging upstream version 3.0.52.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 Aug 2025 12:19:45 +0200

prompt-toolkit (3.0.51-4) sid; urgency=medium

  * Uploading without changes to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 21:21:50 +0200

prompt-toolkit (3.0.51-3) experimental; urgency=medium

  * Removing Gordon from Uploaders as requested, thank you for all your
    past contributions.
  * Trimming debian changelog.
  * Updating maintainer field.
  * Sorting fields in control.
  * Updating to standards version 4.7.2.
  * Updating vcs fields.
  * Removing unused gbp.conf.
  * Updating package description.
  * Harmonizing watch file.
  * Sorting dh constructor arguments in rules.
  * Completing upstream urls in rules.
  * Updating my email address.

 -- Daniel Baumann <daniel@debian.org>  Mon, 12 May 2025 18:08:14 +0200

=== debian/control ===
Source: prompt-toolkit
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Uploaders:
 Lennart Weller <lhw@ring0.de>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-asyncssh <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-wcwidth,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/prompt-toolkit/python-prompt-toolkit
Vcs-Browser: https://forgejo.debian.net/prompt-toolkit/prompt-toolkit
Vcs-Git: https://forgejo.debian.net/prompt-toolkit/prompt-toolkit
Testsuite: autopkgtest-pkg-python

Package: python3-prompt-toolkit
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-pygments,
Description: Library for building interactive command line applications (Python)
 prompt_toolkit is a library for building powerful interactive command line and
 terminal applications in Python. It can be a very advanced pure Python
 replacement for GNU readline, but it can also be used for building full screen
 applications.
 .
 Some features:
 .
   * Syntax highlighting of the input while typing
   * Multi-line input editing
   * Advanced code completion
   * Selecting text for copy/paste.
   * Mouse support for cursor positioning and scrolling.
   * Auto suggestions
   * No global state

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 VERSION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | rev | cut -d- -f2- | rev)
 
 %:
-	dh ${@} --with python3 --buildsystem=pybuild
+	dh ${@} --buildsystem=pybuild --with python3
 
 execute_after_dh_auto_clean:
 	# help pybuild

=== debian/watch ===
version=4
https://github.com/prompt-toolkit/python-prompt-toolkit/tags .*/v?(\d.*)@ARCHIVE_EXT@
